Auth
Link an identity
GET
/auth/user/identities/authorizeLinks an OAuth identity or provider ID token to the current user.
Parameters
SignInWithOAuthCredentialsprovider'apple' | 'azure' | 'discord' | 'github' | 'gitlab' | 'google' | 'snapchat' | 'twitch' | 'twitter' | 'x'- The provider to link.
token?string- Provider ID token for direct identity linking.
access_token?string- Provider access token.
nonce?string- Provider nonce.
options.redirectTo?string- Callback destination for OAuth linking.
options.scopes?string- Provider scopes to request.
options.queryParams?Record<string, string>- Additional provider query parameters.
options.skipBrowserRedirect?boolean- Return the OAuth URL without navigating.
options.captchaToken?string- Captcha verification token.
Returns
provider?'apple' | 'azure' | 'discord' | 'github' | 'gitlab' | 'google' | 'snapchat' | 'twitch' | 'twitter' | 'x'url?string | nulluser?PublicUsersession?AccessTokenResponse